Bug 666845 - [abrt] byobu-3.4-2.fc14: byobu-config:340:writestatus:IOError: [Errno 2] No existe el fichero o el directorio: '/home/bass/.byobu/status'
Summary: [abrt] byobu-3.4-2.fc14: byobu-config:340:writestatus:IOError: [Errno 2] No e...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: byobu
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Jan Klepek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5a721e9a
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-03 12:09 UTC by JAlberto
Modified: 2012-09-17 23:44 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-08-17 01:11:49 UTC


Attachments (Terms of Use)
File: backtrace (1.15 KB, text/plain)
2011-01-03 12:09 UTC, JAlberto
no flags Details

Description JAlberto 2011-01-03 12:09:14 UTC
abrt version: 1.1.14
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/byobu-config
component: byobu
executable: /usr/bin/byobu-config
kernel: 2.6.35.10-74.fc14.x86_64
package: byobu-3.4-2.fc14
reason: byobu-config:340:writestatus:IOError: [Errno 2] No existe el fichero o el directorio: '/home/bass/.byobu/status'
release: Fedora release 14 (Laughlin)
time: 1294056486
uid: 500

backtrace
-----
byobu-config:340:writestatus:IOError: [Errno 2] No existe el fichero o el directorio: '/home/bass/.byobu/status'

Traceback (most recent call last):
  File "/usr/bin/byobu-config", line 562, in <module>
    if __name__ == "__main__": main()
  File "/usr/bin/byobu-config", line 545, in main
    tag = togglestatus(screen, size)
  File "/usr/bin/byobu-config", line 372, in togglestatus
    writestatus(itemlist)
  File "/usr/bin/byobu-config", line 340, in writestatus
    f=open(HOME+'/.'+PKG+'/status', 'w')
IOError: [Errno 2] No existe el fichero o el directorio: '/home/bass/.byobu/status'

Local variables in innermost frame:
items: [[0, 'arch'], [0, 'battery'], [0, 'cpu_count'], [1, 'cpu_freq'], [0, 'cpu_temp'], [0, 'custom'], [1, 'date'], [0, 'disk'], [0, 'disk_io'], [0, 'ec2_cost'], [0, 'fan_speed'], [1, 'hostname'], [1, 'ip_address'], [1, 'load_average'], [1, 'logo'], [0, 'mail'], [1, 'mem_available'], [1, 'mem_used'], [1, 'menu'], [0, 'network'], [0, 'processes'], [0, 'rcs_cost'], [1, 'reboot_required'], [1, 'release'], [1, 'services'], [1, 'time'], [0, 'time_utc'], [1, 'updates_available'], [1, 'uptime'], [0, 'users'], [1, 'whoami'], [0, 'wifi_quality']]

How to reproduce
-----
1. install byobu via yum
2.run byobu-config
3. try to change any option

Comment 1 JAlberto 2011-01-03 12:09:16 UTC
Created attachment 471468 [details]
File: backtrace

Comment 2 Jan Klepek 2011-01-05 15:30:55 UTC
this is currently still broken even in byobu 3.20, fix will be hopefully available in few days

Comment 3 Jan Klepek 2011-01-05 16:06:49 UTC
https://bugs.launchpad.net/byobu/+bug/697724 with patch attached

Comment 4 Fedora Update System 2011-01-08 12:59:02 UTC
byobu-3.21-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/byobu-3.21-1.fc13

Comment 5 Fedora Update System 2011-01-08 12:59:17 UTC
byobu-3.21-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/byobu-3.21-1.fc14

Comment 6 Fedora Update System 2011-01-08 12:59:32 UTC
byobu-3.21-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/byobu-3.21-1.el5

Comment 7 Fedora Update System 2011-01-08 12:59:47 UTC
byobu-3.21-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/byobu-3.21-1.el4

Comment 8 Fedora Update System 2011-01-08 18:06:34 UTC
byobu-3.21-1.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update byobu'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/byobu-3.21-1.el4

Comment 9 Jan Klepek 2011-01-11 11:50:23 UTC
Could you please test byobu which is in update repository if this fixes your issue?

su -c 'yum --enablerepo=updates-testing update byobu'.  

You can provide
feedback for this update here:
F13:
https://admin.fedoraproject.org/updates/byobu-3.21-1.fc13
F14:
https://admin.fedoraproject.org/updates/byobu-3.21-1.fc14

Comment 10 Fedora Update System 2011-08-02 08:47:47 UTC
byobu-4.23-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/byobu-4.23-1.fc14

Comment 11 Fedora Update System 2011-08-02 08:48:15 UTC
byobu-4.23-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/byobu-4.23-1.fc15

Comment 12 Fedora Update System 2011-08-17 01:11:25 UTC
byobu-4.23-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-08-17 01:19:57 UTC
byobu-4.23-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2012-08-25 17:58:10 UTC
byobu-5.21-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/byobu-5.21-4.el6

Comment 15 Fedora Update System 2012-08-25 17:58:46 UTC
byobu-5.21-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/byobu-5.21-4.fc17

Comment 16 Fedora Update System 2012-08-25 17:59:17 UTC
byobu-5.21-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/byobu-5.21-4.el5

Comment 17 Fedora Update System 2012-08-25 17:59:47 UTC
byobu-5.21-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/byobu-5.21-4.fc18

Comment 18 Fedora Update System 2012-09-03 00:48:57 UTC
byobu-5.21-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2012-09-09 18:33:42 UTC
byobu-5.21-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2012-09-09 18:34:30 UTC
byobu-5.21-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2012-09-17 23:44:53 UTC
byobu-5.21-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.